X2Go Bug report logs - #830
QAction::eventFilter: Ambiguous shortcut overload: Ctrl+Q

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Thu, 26 Mar 2015 13:05:02 UTC

Severity: minor

Tags: pending

Found in version 4.0.4.0

Fixed in version 4.0.4.0

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


Message #19 received at 830@bugs.x2go.org (full text, mbox, reply):

Received: (at 830) by bugs.x2go.org; 28 Mar 2015 13:10:25 +0000
From mike.gabriel@das-netzwerkteam.de  Sat Mar 28 14:10:24 2015
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,URIBL_BLOCKED
	autolearn=ham version=3.3.2
Received: from freya.das-netzwerkteam.de (freya.das-netzwerkteam.de [88.198.48.199])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTPS id D40315DABF
	for <830@bugs.x2go.org>; Sat, 28 Mar 2015 14:10:23 +0100 (CET)
Received: from grimnir.das-netzwerkteam.de (grimnir.das-netzwerkteam.de [78.46.204.98])
	by freya.das-netzwerkteam.de (Postfix) with ESMTPS id 4C4959D7;
	Sat, 28 Mar 2015 14:10:23 +0100 (CET)
Received: from localhost (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTP id BFA4B3C000;
	Sat, 28 Mar 2015 14:10:22 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at grimnir.das-netzwerkteam.de
Received: from grimnir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (grimnir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id Kz-cMtxsy9u7; Sat, 28 Mar 2015 14:10:22 +0100 (CET)
Received: from grimnir.das-netzwerkteam.de (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTPS id 435BA3B997;
	Sat, 28 Mar 2015 14:10:22 +0100 (CET)
Received: from dslb-178-011-251-082.178.011.pools.vodafone-ip.de
 (dslb-178-011-251-082.178.011.pools.vodafone-ip.de [178.11.251.82]) by
 mail.das-netzwerkteam.de (Horde Framework) with HTTP; Sat, 28 Mar 2015
 13:10:22 +0000
Date: Sat, 28 Mar 2015 13:10:22 +0000
Message-ID: <20150328131022.Horde.v19J8YW9WmIEEunn5xx1dg5@mail.das-netzwerkteam.de>
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Mihai Moldovan <ionic@ionic.de>
Cc: 830@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#830: QAction::eventFilter: Ambiguous shortcut
 overload: Ctrl+Q
References: <20150326130241.Horde.zP8cvvmZUzhJt_T3rxQL1A1@mail.das-netzwerkteam.de>
 <5514272C.2080601@ionic.de>
In-Reply-To: <5514272C.2080601@ionic.de>
User-Agent: Internet Messaging Program (IMP) H5 (6.2.2)
Accept-Language: de,en
Organization: DAS-NETZWERKTEAM
X-Originating-IP: 178.11.251.82
X-Remote-Browser: Mozilla/5.0 (X11; Linux x86_64; rv:32.0) Gecko/20100101
 Firefox/32.0 Iceweasel/32.0
Content-Type: multipart/signed; boundary="=_70E8g-p91pPQWeH08gy9AA1";
 protocol="application/pgp-signature"; micalg=pgp-sha1
MIME-Version: 1.0
[Message part 1 (text/plain, inline)]
Hi Mihai,

On  Do 26 Mär 2015 16:35:08 CET, Mihai Moldovan wrote:

> Control: tag -1 pending
> Control: fixed -1 4.0.4.0
> Control: thanks
>
>
> On 26.03.2015 02:02 PM, Mike Gabriel wrote:
>> Package: x2goclient
>> Version: 4.0.4.0
>> Severity: minor
>>
>> This mail's subject says it all: QAction::eventFilter: Ambiguous
>> shortcut overload: Ctrl+Q.
>>
>> When hitting Ctrl+Q in X2Go Client, I would expect X2Go Client to
>> close. However, it only throws the above message on the underlying
>> terminal if launched from one.
>
> You do, and you should! This is why I fixed this in
> http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=52040031502662dfff00f4b0fbbccebf66367f6a
>
> Tagging as pending.
>
>
> Mihai

it is good to mark the bug as fixed in the changelog file in a case like this.

I have just done that.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Jul 3 14:03:26 2020; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.